- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::CCursor Class Reference

Inheritance diagram for Exponent::GUI::Windowing::CCursor:

List of all members.

## Detailed Description

A cursor representation.

Date:
  19/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CCursor.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CCursor.hpp.

## Public Types

- enum EMouseCursor {
  e_arrowCursor = 0,
  e_handCursor,
  e_hourGlassCursor,
  e_upDownArrowCursor,
  e_leftRightArrowCursor,
  e_iBeamCursor,
  e_resizeCursor,
  e_sizeAllCursor,
  e_numberOfCursors
  }
    System cursors. More...

## Public Member Functions

- CCursor (const long resourceId)
- CCursor (HINSTANCE instance, const long resourceId)
- CCursor (EMouseCursor cursor=e_arrowCursor)
- CCrsrHandle getCursor () const
- HCURSOR getCursor () const
- EMouseCursor getCursorId () const
- void hideCursor ()
- void setAnimatedCursor (HINSTANCE instance, const unsigned long resourceId)
- void setCursor (EMouseCursor cursor)
- void setCursor (const long resourceId)
- void setCursor (HINSTANCE instance, const long resourceId)
- void showCursor ()
- virtual ~CCursor ()

## Static Public Attributes

- static CCursor CCURSOR_ARROW
- static CCursor CCURSOR_HAND
- static CCursor CCURSOR_HOUR
- static CCursor CCURSOR_IBEAM
- static CCursor CCURSOR_LEFT_RIGHT
- static CCursor CCURSOR_RESIZE
- static CCursor CCURSOR_SIZE_ALL
- static CCursor CCURSOR_UP_DOWN

## Protected Attributes

- CCrsrHandle m_cursor
- HCURSOR m_cursor
- EMouseCursor m_cursorId

## Member Enumeration Documentation

enum Exponent::GUI::Windowing::CCursor::EMouseCursor

System cursors.

Enumerator:

  e_arrowCursor | Arrow (normal)
  e_handCursor | Hand
  e_hourGlassCursor | Hour glass, beachball
  e_upDownArrowCursor | Up down arrow head
  e_leftRightArrowCursor | Left dright arrow head
  e_iBeamCursor | Text IBeam
  e_resizeCursor | resize cursor
  e_sizeAllCursor | Size all
  e_numberOfCursors | Total number of cursor types

Definition at line 59 of file CCursor.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::CCursor::CCursor | ( | EMouseCursor | cursor = `e_arrowCursor` | ) |

Construction

Parameters:

  | cursor | The cursor to use

Exponent::GUI::Windowing::CCursor::CCursor | ( | HINSTANCE | instance,
|  | const long | resourceId |
| ) |  |  |

Construction

Parameters:

  | instance | Application instance
  | resourceId | The resource id of the cursor to load from the app

Exponent::GUI::Windowing::CCursor::CCursor | ( | const long | resourceId | ) |

Constuction

Parameters:

  | resourceId | The resource id of the cursor to load

virtual Exponent::GUI::Windowing::CCursor::~CCursor | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

CCrsrHandle Exponent::GUI::Windowing::CCursor::getCursor | ( |  | ) | const

Get the cursor

Return values:

  | CCrsrHandle | The mac format cursor

HCURSOR Exponent::GUI::Windowing::CCursor::getCursor | ( |  | ) | const

Get the windows cursor handle

Return values:

  | HCURSOR | The windows cursor

EMouseCursor Exponent::GUI::Windowing::CCursor::getCursorId | ( |  | ) | const`[inline]`

Get the cursor id

Return values:

  | EMouseCursor | The mouse cursor

Definition at line 144 of file CCursor.hpp.

References m_cursorId.

void Exponent::GUI::Windowing::CCursor::hideCursor | ( |  | ) |

Hide the cursor

void Exponent::GUI::Windowing::CCursor::setAnimatedCursor | ( | HINSTANCE | instance,
|  | const unsigned long | resourceId |
| ) |  |  |

Load an animated cursor

Parameters:

  | instance | Application instance
  | resourceId | The resource id of the cursor to load from the app

void Exponent::GUI::Windowing::CCursor::setCursor | ( | EMouseCursor | cursor | ) |

Set the cursor form a system id

Parameters:

  | cursor | The mouse cursor

void Exponent::GUI::Windowing::CCursor::setCursor | ( | const long | resourceId | ) |

Set the cursor from a resource id

Parameters:

  | resourceId | The resource id of the cursor to load

void Exponent::GUI::Windowing::CCursor::setCursor | ( | HINSTANCE | instance,
|  | const long | resourceId |
| ) |  |  |

Set the cursor from a resource id

Parameters:

  | instance | Application instance
  | resourceId | The resource id of the cursor to load from the app

void Exponent::GUI::Windowing::CCursor::showCursor | ( |  | ) |

Show the cursor

## Member Data Documentation

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_ARROW`[static]`

Arrow (normal)

Definition at line 44 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_HAND`[static]`

Hand

Definition at line 45 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_HOUR`[static]`

Timer / Hourglass

Definition at line 48 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_IBEAM`[static]`

Text beam

Definition at line 46 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_LEFT_RIGHT`[static]`

Left right drag

Definition at line 50 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_RESIZE`[static]`

Resize

Definition at line 47 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_SIZE_ALL`[static]`

Size both directions

Definition at line 51 of file CCursor.hpp.

CCursor Exponent::GUI::Windowing::CCursor::CCURSOR_UP_DOWN`[static]`

Up down drag

Definition at line 49 of file CCursor.hpp.

CCrsrHandle Exponent::GUI::Windowing::CCursor::m_cursor`[protected]`

Handle to the cursor

Definition at line 189 of file CCursor.hpp.

HCURSOR Exponent::GUI::Windowing::CCursor::m_cursor`[protected]`

pointer to the cursor

Definition at line 184 of file CCursor.hpp.

EMouseCursor Exponent::GUI::Windowing::CCursor::m_cursorId`[protected]`

the id of the cursor

Definition at line 188 of file CCursor.hpp.

Referenced by getCursorId().